<template>
  <div id="app">
    <img
      src="https://wallpapercave.com/wp/mwvKt4h.gif"
      class="bgimg2"
    />
    <div class="bgimg" id="section1">
      <div class="topleft mt-5" v-tilt>
        <h3 style="color:#fff;"><b>WELCOME</b></h3>
        <p style="color:#fff;"><b>PRINCESS</b></p>
      </div>
      <div class="middle2">
        <h1>DEAR AVERRINA SALSABIL AZZAHRA</h1>
        <hr />
        <h2 id="demo"></h2>
        <a @click="PlayStop()" href="#section2" class="btn btn-danger"
          >Clickme</a
        >
      </div>
    </div>
    <figure style="display: none">
      <audio
        :src="require('@/assets/img/lagu.mp3')"
        controls
        autoplay
        loop
        id="audioID"
      ></audio>
    </figure>
    <div id="section2" style="display: none" class="bgimg">
      <div class="middle2">
        <img
          :src="require('@/assets/img/tenor.gif')"
          alt=""
          style="width: 80%"
        />
        <!-- <h1><b>21 Tahun</b></h1><hr> -->
        <a @click="PlayStop2()" href="#section3" class="btn btn-danger"
          >Klik lagi Dong</a
        >
      </div>
    </div>
    <div id="section3" style="display: none" class="bgimg">
      <div class="middle2">
        <img
          style="width: 70%"
          src="https://cdn.shopify.com/s/files/1/0195/7924/0548/products/happy-birthday_2_38dd3819-85e5-4ecb-98ab-bd39b0cdb80f_800x.gif?v=1601703680"
        />
        <a @click="PlayStop3()" href="#section4" class="btn btn-danger"
          >Klik Sekali lagi</a
        >
      </div>
    </div>
    <div id="section4" class="bgimg" style="display: none">
      <div class="middle2">
        <parallax />
      </div>
    </div>
  </div>
</template>

<script>
import parallax from "./views/parallax";
export default {
  name: "Home",
  components: {
    parallax,
  },
  data() {
    return {};
  },
  mounted() {},
  methods: {
    PlayStop() {
      var myaudio = document.getElementById("audioID");
      document.getElementById("section2").style.display = "block";
      return myaudio.paused ? myaudio.play() : myaudio.pause();
    },
    PlayStop2() {
      document.getElementById("section3").style.display = "block";
    },
    PlayStop3() {
      document.getElementById("section4").style.display = "block";
    },
  },
};
</script>

<style></style>
